import { ApsaraVideoPlayer } from './ApsaraVideoPlayer';
import { ApsaraVideoListPlayer } from './ApsaraVideoListPlayer';
import { PrivateService } from '../private_service/PrivateService';
import { ApsaraLiveShiftPlayer } from './ApsaraLiveShiftPlayer';
export class AliPlayerFactory {
    static createAliPlayer(d7, e7) {
        PrivateService.preInitService(d7);
        if (e7) {
            return new ApsaraVideoPlayer(d7, e7);
        }
        else {
            return new ApsaraVideoPlayer(d7, "");
        }
    }
    static createAliListPlayer(b7, c7) {
        PrivateService.preInitService(b7);
        if (c7) {
            return new ApsaraVideoListPlayer(b7, c7);
        }
        else {
            return new ApsaraVideoListPlayer(b7, "");
        }
    }
    static createAliLiveShiftPlayer(z6, a7) {
        PrivateService.preInitService(z6);
        if (a7) {
            return new ApsaraLiveShiftPlayer(z6, a7);
        }
        else {
            return new ApsaraLiveShiftPlayer(z6, "");
        }
    }
}
